# Dintero Documentation ## Docs - [Search external postal place](https://docs.dintero.com/api-reference/addresses/search-external-postal-place.md): Get postal place by country and postal code. - [Validate address](https://docs.dintero.com/api-reference/addresses/validate-address.md): Validate the given address and return close matching alternative suggestions if the provided address was most likely wrong. - [List seller approvals ](https://docs.dintero.com/api-reference/approvals/list-seller-approvals.md): scopes: - admin:accounts - read:accounts - [New seller approval ](https://docs.dintero.com/api-reference/approvals/new-seller-approval.md): Initiate an application for a new seller for Dintero Payout with split-payment. The application will contain a link to an URL where the signatory of the seller will need to finish submission of the case contract and sign it. Dintero will perform a KYC, AML and bank ownership check on the seller befo… - [Get Token](https://docs.dintero.com/api-reference/authenticate/get-token.md): Use this endpoint to directly request an access_token - [Campaign details](https://docs.dintero.com/api-reference/campaigns/campaign-details.md): Get more details about a campaign - [Campaigns collection](https://docs.dintero.com/api-reference/campaigns/campaigns-collection.md): List campaigns - [Create new campaign](https://docs.dintero.com/api-reference/campaigns/create-new-campaign.md): Create a new campaign to group discount rules - [Delete campagn](https://docs.dintero.com/api-reference/campaigns/delete-campagn.md): Delete a campagn. - [Update Campaign](https://docs.dintero.com/api-reference/campaigns/update-campaign.md): Update campaign details. Undeletes a deleted campaign. - [Delete card token](https://docs.dintero.com/api-reference/card-tokens/delete-card-token.md): scopes: - admin:checkout - [Get card token](https://docs.dintero.com/api-reference/card-tokens/get-card-token.md): scopes: - admin:checkout - [List card tokens](https://docs.dintero.com/api-reference/card-tokens/list-card-tokens.md): Use query parameters to filter the search. To list all Transactions related to a Card Token, use [GET /v1/transactions](#operation/transactions_get) with query `?search={token_id}`. - [Activate card](https://docs.dintero.com/api-reference/cards/activate-card.md): Activate a card with status `inactive` - [Batch create cards](https://docs.dintero.com/api-reference/cards/batch-create-cards.md): Batch create cards. The cards created from the batch operation will all have zero balance and status `inactive`. They all need to be activated before use. - [Create a card](https://docs.dintero.com/api-reference/cards/create-a-card.md): Create a new card - [Create a token for the card](https://docs.dintero.com/api-reference/cards/create-a-token-for-the-card.md): Create a temporary `token` (also referred as Card Code) for the card, an temporary alias that must be used when when creating a drawdown transaction - [Get cards](https://docs.dintero.com/api-reference/cards/get-cards.md): Get all cards for an account - [Retrieve card by card ID](https://docs.dintero.com/api-reference/cards/retrieve-card-by-card-id.md): Get all details about a card - [Retrieve card by Token](https://docs.dintero.com/api-reference/cards/retrieve-card-by-token.md): Get details about a card, including the current balance and available funds. No details will be returned for expired tokens - [Rotate Pin](https://docs.dintero.com/api-reference/cards/rotate-pin.md): Rotate or add new pin to card - [Catalogs collection](https://docs.dintero.com/api-reference/catalogs/catalogs-collection.md): Get catalogs from account based on query parameters - [Create new catalog](https://docs.dintero.com/api-reference/catalogs/create-new-catalog.md): Create a new product catalog - [Delete catalog](https://docs.dintero.com/api-reference/catalogs/delete-catalog.md): Delete catalog and all corresponding products - [Update catalog](https://docs.dintero.com/api-reference/catalogs/update-catalog.md): Update an existing catalog - [Customer email/phone_number Status](https://docs.dintero.com/api-reference/communication/customer-emailphone_number-status.md): Get the status of customer email / phone_number communication scopes: - admin:customers - read:customers - user:customers - [Verify Customer email/phone_number](https://docs.dintero.com/api-reference/communication/verify-customer-emailphone_number.md): Verify customer email/phone_number field. Consist of to steps: - send verification code to the customer (sms or email) - verify the email/phone_number by posting verification code sent to customer scopes: - admin:customers - write:customers - user:customers - [Get departments](https://docs.dintero.com/api-reference/company/get-departments.md): List all departments register by company customers - [Change customer_id](https://docs.dintero.com/api-reference/customer-receipts/change-customer_id.md): Update customer_id for an receipt, i.e. move the receipt to a new customer - [Customer receipt details](https://docs.dintero.com/api-reference/customer-receipts/customer-receipt-details.md): Get a customer receipt - [Customer Receipts collection](https://docs.dintero.com/api-reference/customer-receipts/customer-receipts-collection.md): Get the receipts for a customer - [Get Order](https://docs.dintero.com/api-reference/customerorder/get-order.md): Retrieve Order details for an customer - [Orders collection](https://docs.dintero.com/api-reference/customerorder/orders-collection.md): Retrieve a list of orders belonging to a customer user - [Get customer card details](https://docs.dintero.com/api-reference/customers/get-customer-card-details.md): Get all details about a customer card - [List customer cards](https://docs.dintero.com/api-reference/customers/list-customer-cards.md): Get the cards active for a customer - [Complete a draft order](https://docs.dintero.com/api-reference/draft/complete-a-draft-order.md): Use this resource to transition the draft order into an Order. A draft with multiple sales locations will transition into one order per sales location. - [Create a draft order](https://docs.dintero.com/api-reference/draft/create-a-draft-order.md): Use this resource to create orders in draft state. - [Get draft order](https://docs.dintero.com/api-reference/draft/get-draft-order.md): Get draft order. - [Update draft order](https://docs.dintero.com/api-reference/draft/update-draft-order.md): Updates a draft order. - [Add item to draft](https://docs.dintero.com/api-reference/draftitems/add-item-to-draft.md): Updates a draft with new item - [Remove item from draft](https://docs.dintero.com/api-reference/draftitems/remove-item-from-draft.md): Remove a item line from the draft - [Update item in draft](https://docs.dintero.com/api-reference/draftitems/update-item-in-draft.md): Update item in draft - [checkout_authorization](https://docs.dintero.com/api-reference/example-checkout-events/checkout_authorization.md): Event is pushed to subscribers when a transaction was authorized or failed authorization - [checkout_token_*](https://docs.dintero.com/api-reference/example-checkout-events/checkout_token_*.md): Event is pushed to subscribers when the checkout token is created, \ updated or deleted - [checkout_transaction](https://docs.dintero.com/api-reference/example-checkout-events/checkout_transaction.md): Event is pushed to subscribers when the checkout transaction is created or updated - [approval_payout_destination_delete](https://docs.dintero.com/api-reference/example-management-auth-events/approval_payout_destination_delete.md): Event is pushed to subscribers when the approval is archived - [approval_payout_destination_update](https://docs.dintero.com/api-reference/example-management-auth-events/approval_payout_destination_update.md): Event is pushed to subscribers when the `case_status` of a seller approval changes - [cdd_case_update](https://docs.dintero.com/api-reference/example-management-auth-events/cdd_case_update.md): Event is pushed to subscribers when a CDD case changes status. - [Address Update](https://docs.dintero.com/api-reference/example-session-callbacks/address-update.md): This API endpoint on the merchant side allows Dintero to get shipping options based on the provided session after an address update - [Discount codes Update](https://docs.dintero.com/api-reference/example-session-callbacks/discount-codes-update.md): This API endpoint on the merchant side allows Dintero to get shipping_options and order with discounts based on the provided session that had its `order.discount_codes` updated. - [Session Callback](https://docs.dintero.com/api-reference/example-session-callbacks/session-callback.md): This API endpoint on the merchant side allows Dintero to notify the `session.url.callback_url` when the payment is completed > POST is only use if `callback_url` includes `method=POST` query parameter. - [Get checkout profile image](https://docs.dintero.com/api-reference/generate-checkout-image/get-checkout-profile-image.md): Endpoint that returns an svg that can be used to show the world your payment options. [Go to the documentation for the checkout branding endpoints.](/docs/checkout-branding) - [Get payment logos image](https://docs.dintero.com/api-reference/generate-checkout-image/get-payment-logos-image.md): Endpoint that returns an svg that can be used to show the world your payment options. [Go to the documentation for the checkout branding endpoints.](/docs/checkout-branding) - [Generate report from reportparams](https://docs.dintero.com/api-reference/generate-insight-report/generate-report-from-reportparams.md): Create a report from the report params, this bypasses the normal schedule report setup and triggers report generation instantly - [Create new group](https://docs.dintero.com/api-reference/groups/create-new-group.md): Insert a new group - [Delete group](https://docs.dintero.com/api-reference/groups/delete-group.md): Delete an existing group - [Group collection](https://docs.dintero.com/api-reference/groups/group-collection.md): Lists all groups - [Update group](https://docs.dintero.com/api-reference/groups/update-group.md): Update an existing group - [Checkout transaction event KPIs](https://docs.dintero.com/api-reference/kpi/checkout-transaction-event-kpis.md): Get a list of KPIs where the result is the aggregation of the specified event type given provided interval - [Checkout transaction status KPIs](https://docs.dintero.com/api-reference/kpi/checkout-transaction-status-kpis.md): Get a list of KPIs where the result is the aggregation of transactions where that match provided status - [List checkout kpis ](https://docs.dintero.com/api-reference/kpi/list-checkout-kpis.md): Get a list of kpis where the transactiosn used is in the aggregations are transactions from "event_created_at_gte", until now. However, transactions from the "current" interval are not included.\ E.g if week is provided as interval, then no transactions from the current week are included. This is tr… - [Create new sales location](https://docs.dintero.com/api-reference/locations/create-new-sales-location.md): Create a sales location scopes: - admin:locations - write:locations - [Delete location](https://docs.dintero.com/api-reference/locations/delete-location.md): Delete single location scopes: - admin:locations - write:locations - [Location details](https://docs.dintero.com/api-reference/locations/location-details.md): Get single sales location scopes: - admin:locations - read:locations - [Locations collection](https://docs.dintero.com/api-reference/locations/locations-collection.md): Get all sales locations, the starting_after have to be set to location_id scopes: - admin:locations - read:locations - [Update Sales location](https://docs.dintero.com/api-reference/locations/update-sales-location.md): Update location properties scopes: - admin:locations - write:locations - [Get Order](https://docs.dintero.com/api-reference/order/get-order.md): Retrieve Order details - [Put Order](https://docs.dintero.com/api-reference/order/put-order.md): Update an order - [Create an authorization](https://docs.dintero.com/api-reference/orderauthorizations/create-an-authorization.md): Create a authorization for an order - [Get Authorization details](https://docs.dintero.com/api-reference/orderauthorizations/get-authorization-details.md): Retrieve details about a authorization - [Create an cancellation](https://docs.dintero.com/api-reference/ordercancellations/create-an-cancellation.md): Create a cancellation for an order - [Get Cancellation details](https://docs.dintero.com/api-reference/ordercancellations/get-cancellation-details.md): Retrieve details about a cancellation - [Create a capture](https://docs.dintero.com/api-reference/ordercaptures/create-a-capture.md): Create a capture for an order - [Get Capture details](https://docs.dintero.com/api-reference/ordercaptures/get-capture-details.md): Retrieve details about a capture - [Create an order comment](https://docs.dintero.com/api-reference/ordercomments/create-an-order-comment.md): Create a new order comment - [Delete an order comment](https://docs.dintero.com/api-reference/ordercomments/delete-an-order-comment.md): Delete an order comment - [Create an order event](https://docs.dintero.com/api-reference/orderevents/create-an-order-event.md): Create a new order event - [Draft orders collection](https://docs.dintero.com/api-reference/orderlist/draft-orders-collection.md): Retrieve a list of draft orders - [Get Authorization Collection](https://docs.dintero.com/api-reference/orderlist/get-authorization-collection.md): Retrieve list of authorizations for an order - [Get Cancellation Collection](https://docs.dintero.com/api-reference/orderlist/get-cancellation-collection.md): Retrieve list of cancellations for an order - [Get Capture Collection](https://docs.dintero.com/api-reference/orderlist/get-capture-collection.md): Retrieve list of captures for an order - [Get Refunds Collection](https://docs.dintero.com/api-reference/orderlist/get-refunds-collection.md): Retrieve list of refunds for an order - [Get Session Collection](https://docs.dintero.com/api-reference/orderlist/get-session-collection.md): Retrieve list of sessions for an order - [Order events collection](https://docs.dintero.com/api-reference/orderlist/order-events-collection.md): Retrieve a list of latest order events - [Orders collection](https://docs.dintero.com/api-reference/orderlist/orders-collection.md): Retrieve a list of orders - [Create a refund](https://docs.dintero.com/api-reference/orderrefunds/create-a-refund.md): Create a refund for an order - [Get Refunds details](https://docs.dintero.com/api-reference/orderrefunds/get-refunds-details.md): Retrieve specific refund - [Create a session](https://docs.dintero.com/api-reference/ordersessions/create-a-session.md): Initiate a payment session for the order. - [Get Session details](https://docs.dintero.com/api-reference/ordersessions/get-session-details.md): Retrieve details about a session - [Cancel Order](https://docs.dintero.com/api-reference/orderstatus/cancel-order.md): Cancel the Order - [Close order](https://docs.dintero.com/api-reference/orderstatus/close-order.md): Close the order - [Open order](https://docs.dintero.com/api-reference/orderstatus/open-order.md): Re-open a closed order - [Get addresses for organization number from external organization registry](https://docs.dintero.com/api-reference/organizations/get-addresses-for-organization-number-from-external-organization-registry.md): scopes: - public - [Get organization subunits](https://docs.dintero.com/api-reference/organizations/get-organization-subunits.md): scopes: - public - [Search external organization registry](https://docs.dintero.com/api-reference/organizations/search-external-organization-registry.md): Proxy queries to the Norwegian or Danish organization registry. - [Change password](https://docs.dintero.com/api-reference/password/change-password.md): Specify the email address of the user whose password you would like to reset. If the call is successful, the user will receive an email prompting them to change their password. The caller must have scope `write:accounts:/auth/users` to perform a change password request. scopes: - write:accounts:/aut… - [Login with email/password](https://docs.dintero.com/api-reference/password/login-with-emailpassword.md): Login a customer user, the caller must have scope `write:accounts:/auth/users`. If MFA is enabled on account, use `write:accounts:/auth/users/no-mfa` to skip MFA. scopes: - write:accounts:/auth/users - write:accounts:/auth/users/no-mfa - [Login with MFA](https://docs.dintero.com/api-reference/password/login-with-mfa.md): Initiate a Multi-Factor Authentication for a customer user, the caller must have scope `write:accounts:/auth/users` to perform a login. Post the `ident_type`, along with the `ident` and `secret`. The server will return a challenge response specifying the `challenge_type` that will have to be complet… - [MFA recovery](https://docs.dintero.com/api-reference/password/mfa-recovery.md): Initiate a Multi-Factor Authentication recovery login for a customer user that has forgotten/lost their `secret`. Specify the ident_type and the ident (email or phone_number) of the user. If the call is successful, the user will get an email with an one time recovery code that has to be submitted to… - [Create and pay merchant initiated session](https://docs.dintero.com/api-reference/payment/create-and-pay-merchant-initiated-session.md): For merchant initiated payments, where the customer is not involved. - [Create new product](https://docs.dintero.com/api-reference/products/create-new-product.md): Create a new product - [Delete product](https://docs.dintero.com/api-reference/products/delete-product.md): Delete product in a given catalog - [Products collection](https://docs.dintero.com/api-reference/products/products-collection.md): Get products in a catalog based on query parameters - [Update product](https://docs.dintero.com/api-reference/products/update-product.md): Update an existing product - [Claim receipt by token](https://docs.dintero.com/api-reference/receipts/claim-receipt-by-token.md): Update `customer_id` on receipt identified by token. The token will be invalid after the claim. - [Create new Receipts](https://docs.dintero.com/api-reference/receipts/create-new-receipts.md): Post receipts - [Get receipt by token](https://docs.dintero.com/api-reference/receipts/get-receipt-by-token.md): Get receipt from token. The token must be a signed JWT token containing the `customer_id` and `receipt_id` to fetch. - [Receipt search](https://docs.dintero.com/api-reference/receipts/receipt-search.md): Get receipts matching receipt_id (POS id) - [Update receipt](https://docs.dintero.com/api-reference/receipts/update-receipt.md): Update existing anonymous receipt. - [Create new insight report configuration ](https://docs.dintero.com/api-reference/report-configuration/create-new-insight-report-configuration.md): Create a new report configuration - [Delete insight report configuration ](https://docs.dintero.com/api-reference/report-configuration/delete-insight-report-configuration.md): Delete insight report configuration. - [List insight configurations ](https://docs.dintero.com/api-reference/report-configuration/list-insight-configurations.md): List all insight report configurations for the account. - [Update insight report configuration ](https://docs.dintero.com/api-reference/report-configuration/update-insight-report-configuration.md): Update insight report configuration. - [List report metadata ](https://docs.dintero.com/api-reference/reports/list-report-metadata.md): Get list of report metadata for the account - [Automation collection](https://docs.dintero.com/api-reference/rules-automations/automation-collection.md): Get available automations for the account - [Automation details](https://docs.dintero.com/api-reference/rules-automations/automation-details.md): Get details about an automations - [Create new automation](https://docs.dintero.com/api-reference/rules-automations/create-new-automation.md): Create a discount automation to apply on events received. - [Delete automation](https://docs.dintero.com/api-reference/rules-automations/delete-automation.md): Delete an automation rule. - [Add customers](https://docs.dintero.com/api-reference/rules-customers/add-customers.md): Give the Discount to one or more customers - [Customer discounts collection](https://docs.dintero.com/api-reference/rules-customers/customer-discounts-collection.md): Get all discounts available for a customer, result will exclude expired and inactive discounts - [Delete customer discount ref](https://docs.dintero.com/api-reference/rules-customers/delete-customer-discount-ref.md): Delete a customer discount ref. The discount will no longer be available on purchase ([Post receipt for discount](#operation/aid_discounts_available_for_receipt_post)) - [Get customer discount ref](https://docs.dintero.com/api-reference/rules-customers/get-customer-discount-ref.md): Get a customer discount ref. scopes: - admin:discounts - read:discounts - [Get discount customers (refs)](https://docs.dintero.com/api-reference/rules-customers/get-discount-customers-refs.md): Get list of customers refs for a discount. A ref is an instant of discount given to a customer or `all customers`. See [Add customers](#operation/aid_discounts_did_customers_post) - [Get discount ref usages](https://docs.dintero.com/api-reference/rules-customers/get-discount-ref-usages.md): Get list of discount refs usages. scopes: - admin:discounts - read:discounts - [Remove customers](https://docs.dintero.com/api-reference/rules-customers/remove-customers.md): Remove Discount from one or more customers - [Update customer discount ref](https://docs.dintero.com/api-reference/rules-customers/update-customer-discount-ref.md): Add stamps and usage to a discount ref. scopes: - admin:discounts - write:discounts - [Create new discount](https://docs.dintero.com/api-reference/rules/create-new-discount.md): Create a new discount for an account. - [Delete discount](https://docs.dintero.com/api-reference/rules/delete-discount.md): Delete a discount - [Discount collection](https://docs.dintero.com/api-reference/rules/discount-collection.md): List discounts available for the account scopes: - admin:discounts - read:discounts - [Discount details](https://docs.dintero.com/api-reference/rules/discount-details.md): Get more details about a discount, includes statistics about the discount scopes: - admin:discounts - read:discounts - [Public Discount collection](https://docs.dintero.com/api-reference/rules/public-discount-collection.md): Get all discounts available for any customer given current date, result will exclude expired and inactive discounts - [Search for discount rules](https://docs.dintero.com/api-reference/rules/search-for-discount-rules.md): Search for active discounts given current date matching queries - [Update Discount](https://docs.dintero.com/api-reference/rules/update-discount.md): Update discount details. - [Customer segmentation](https://docs.dintero.com/api-reference/segment/customer-segmentation.md): Segment customer by receipt data - [Cancel session](https://docs.dintero.com/api-reference/session/cancel-session.md): Cancel a session - [Create checkout session from profile](https://docs.dintero.com/api-reference/session/create-checkout-session-from-profile.md): Create a corresponding Checkout Session for an order placed in your system using predefined session profile - [Get checkout session details](https://docs.dintero.com/api-reference/session/get-checkout-session-details.md): scopes: - admin:checkout - read:checkout - [Payment token session](https://docs.dintero.com/api-reference/session/payment-token-session.md): This endpoint lets you create payment and recurrence tokens without reserving or charging any amount. - [Update checkout session details](https://docs.dintero.com/api-reference/session/update-checkout-session-details.md): Session must be locked for paying before updating. - [Customers settings](https://docs.dintero.com/api-reference/settings/customers-settings.md): Get customers settings - [Update settings](https://docs.dintero.com/api-reference/settings/update-settings.md): Update customers settings - [Download attachment](https://docs.dintero.com/api-reference/settlements/download-attachment.md): Download a settlement attachment - [Generate a test settlement report](https://docs.dintero.com/api-reference/settlements/generate-a-test-settlement-report.md): Generate a test settlement report. Only available in test. - [List settlements](https://docs.dintero.com/api-reference/settlements/list-settlements.md): List settlements - [Create settlement report configurations](https://docs.dintero.com/api-reference/settlementsconfiguration/create-settlement-report-configurations.md): Create settlement report configurations - [Delete settlement report configuration](https://docs.dintero.com/api-reference/settlementsconfiguration/delete-settlement-report-configuration.md): Delete settlement report configuration - [Get settlement report configuration](https://docs.dintero.com/api-reference/settlementsconfiguration/get-settlement-report-configuration.md): Get settlement report configuration - [List settlement report configurations](https://docs.dintero.com/api-reference/settlementsconfiguration/list-settlement-report-configurations.md): List settlement report configurations - [Update settlement report configuration](https://docs.dintero.com/api-reference/settlementsconfiguration/update-settlement-report-configuration.md): Update settlement report configuration - [Get Order](https://docs.dintero.com/api-reference/storeorder/get-order.md): Retrieve Order details belonging to a store - [Orders collection](https://docs.dintero.com/api-reference/storeorder/orders-collection.md): Retrieve a list of orders belonging to a store - [Deliveries](https://docs.dintero.com/api-reference/subscription-deliveries/deliveries.md): Get recent subscription deliveries - [Delivery details](https://docs.dintero.com/api-reference/subscription-deliveries/delivery-details.md): Get subscription delivery details - [Subscription ping](https://docs.dintero.com/api-reference/subscription-deliveries/subscription-ping.md): This will trigger a ping event to be sent to the subscription URL. - [Create new subscription](https://docs.dintero.com/api-reference/subscriptions/create-new-subscription.md): When you create a new webhook, we'll send you a simple ping event to let you know you've set up the webhook correctly. You can trigger a ping again by calling the [ping endpoint](#operation/aid_source_hooks_hid_ping_post). - [Delete Subscription](https://docs.dintero.com/api-reference/subscriptions/delete-subscription.md): Delete a webhook subscription - [Subscription details](https://docs.dintero.com/api-reference/subscriptions/subscription-details.md): Get subscription details - [Subscriptions collection](https://docs.dintero.com/api-reference/subscriptions/subscriptions-collection.md): Get all subscriptions - [Create new Tag](https://docs.dintero.com/api-reference/tags/create-new-tag.md): Create a tag scopes: - admin:customers - write:customers - [Delete Tag](https://docs.dintero.com/api-reference/tags/delete-tag.md): Delete a tag. A deleted tag is removed from customer tags scopes: - admin:customers - write:customers - [Tag collection](https://docs.dintero.com/api-reference/tags/tag-collection.md): Get tags for a customer scopes: - admin:customers - read:customers - user:customers - [Tags collection](https://docs.dintero.com/api-reference/tags/tags-collection.md): Get all customer tags (also known as groups). scopes: - admin:customers - read:customers - [Update Customer Tags](https://docs.dintero.com/api-reference/tags/update-customer-tags.md): Update Customer Tags scopes: - admin:customers - write:customers - user:customers - [Create new taxgroup](https://docs.dintero.com/api-reference/tax/create-new-taxgroup.md): Insert a new taxgroup - [Delete taxgroup](https://docs.dintero.com/api-reference/tax/delete-taxgroup.md): Delete an existing taxgroup - [Taxgroup collection](https://docs.dintero.com/api-reference/tax/taxgroup-collection.md): Lists all taxgroups - [Update taxgroup](https://docs.dintero.com/api-reference/tax/update-taxgroup.md): Update an existing taxgroup - [Create new Terms](https://docs.dintero.com/api-reference/terms/create-new-terms.md): Create customer terms and conditions scopes: - admin:customers - write:customers - [Delete Term](https://docs.dintero.com/api-reference/terms/delete-term.md): Delete the customer term scopes: - admin:customers - write:customers - [Terms collection](https://docs.dintero.com/api-reference/terms/terms-collection.md): Get all customer terms and conditions scopes: - admin:customers - read:customers - public:customers - [Terms details](https://docs.dintero.com/api-reference/terms/terms-details.md): Get single terms and conditions scopes: - admin:customers - read:customers - public:customers - [Create new Token](https://docs.dintero.com/api-reference/tokens/create-new-token.md): Create a new customer token scopes: - admin:customers - write:customers - user:customers - [Delete customer token](https://docs.dintero.com/api-reference/tokens/delete-customer-token.md): Delete Token - [Delete token events](https://docs.dintero.com/api-reference/tokens/delete-token-events.md): Delete the connection between token (type/value) and list of events. Include an event in the request to store the reason for the request scopes: - admin:customers - write:customers - [Find / Add token events](https://docs.dintero.com/api-reference/tokens/find-add-token-events.md): Find details about a token, inclusive details about any customer the token belongs to and any token events recorded Include event in the request to update the status of the token scopes: - admin:customers - write:customers - [Get token events](https://docs.dintero.com/api-reference/tokens/get-token-events.md): Get the token events scopes: - admin:customers - read:customers - [Token collections](https://docs.dintero.com/api-reference/tokens/token-collections.md): Get all tokens for a Customer scopes: - admin:customers - read:customers - user:customers - [Capture a transaction](https://docs.dintero.com/api-reference/transactions/capture-a-transaction.md): Captures a transaction that was created with the Checkout endpoint with a `capture_now` value of `false`. - [Capture pending transaction](https://docs.dintero.com/api-reference/transactions/capture-pending-transaction.md): Capture a pending Transaction, thereby collection the amount withheld by the pending transaction. - [Create transaction](https://docs.dintero.com/api-reference/transactions/create-transaction.md): Create a transaction against a Card using `token` or `card_id`. If the Transactions is created as pending, the value will be locked until it is either captured or voided. Transaction ID must be used when capturing or voiding a transaction. - [Get a transaction](https://docs.dintero.com/api-reference/transactions/get-a-transaction.md): scopes: - admin:checkout - read:checkout - [List all transactions](https://docs.dintero.com/api-reference/transactions/list-all-transactions.md): scopes: - admin:checkout - read:checkout - [List card transactions](https://docs.dintero.com/api-reference/transactions/list-card-transactions.md): Retrieve a list of Card's Transaction based on card id - [Refund transaction](https://docs.dintero.com/api-reference/transactions/refund-transaction.md): Once a transaction has been successfully captured, a refund operation is available. Like other operations, refund can be partial or total - [Update a transaction](https://docs.dintero.com/api-reference/transactions/update-a-transaction.md): scopes: - admin:checkout - write:checkout - [Update transaction authorization](https://docs.dintero.com/api-reference/transactions/update-transaction-authorization.md): This endpoint is used to update an existing authorization: - [Void pending transaction](https://docs.dintero.com/api-reference/transactions/void-pending-transaction.md): Void a pending Transaction by unlocking the amount withheld by the pending transaction - [Void transaction](https://docs.dintero.com/api-reference/transactions/void-transaction.md): At any moment before capture of a transaction, it is possible to cancel an authorization. This operation is called voiding and can be performed by doing a POST to this endpoint - [Claim collections](https://docs.dintero.com/api-reference/use-discounts/claim-collections.md): Get all claims, limited by parameters. The result will match all parameters with `AND` - [Claim discounts](https://docs.dintero.com/api-reference/use-discounts/claim-discounts.md): Claim discount rewards, checks will be done to ensure that all discount limitation are uphold - [Delete claim](https://docs.dintero.com/api-reference/use-discounts/delete-claim.md): Release claim on discounts, revert previously claimed discount and make them available for future purchase - [Get claim](https://docs.dintero.com/api-reference/use-discounts/get-claim.md): Get details about a claim - [Post event](https://docs.dintero.com/api-reference/use-discounts/post-event.md): Send an Event to the service. - [Post receipt for discount](https://docs.dintero.com/api-reference/use-discounts/post-receipt-for-discount.md): Find discounts available for the receipt - [Change customer_id](https://docs.dintero.com/api-reference/users/change-customer_id.md): Update customer_id for an customer **warning**: Any external resources "owned" by the user, i.e receipts, discounts etc. will not be updated with the new customer_id. A new metadata property `dintero_change_customer_id_{timestamp}.{hash}` will be added everytime the customer_id is changed Following… - [Create new Customer](https://docs.dintero.com/api-reference/users/create-new-customer.md): Create a new customer, `customer_id`, `email` and `phone_number` must be unique if specified. scopes: - admin:customers - write:customers - create:customers:/users - [Customer collection](https://docs.dintero.com/api-reference/users/customer-collection.md): Get all customers, limited by parameters. The result will match all parameters with `AND`. Search is done by prefix match, and `+` in phone_number/email must be URL encoded, (+4799999999 => %2B4799999999) - [Customer details](https://docs.dintero.com/api-reference/users/customer-details.md): Customer details scopes: - admin:customers - read:customers - user:customers - user:customers:/customer/details - [Delete customer](https://docs.dintero.com/api-reference/users/delete-customer.md): Delete single customer scopes: - admin:customers - write:customers - user:customers - [Update Customer](https://docs.dintero.com/api-reference/users/update-customer.md): Update customer properties, properties not included in the body will remain unchanged. scopes: - admin:customers - write:customers - user:customers - [User exist](https://docs.dintero.com/api-reference/users/user-exist.md): Check if there is users that match the parameters. The result will match all parameters with `AND`. This endpoint must be enabled from [PUT /customers/settings](#operation/aid_customers_atributes_put) scopes: - admin:customers - read:customers - public:customers - [Get seller balances](https://docs.dintero.com/api-reference/v2-config-payout-destinations/get-seller-balances.md): Get seller balance per currency - [Get seller transfers](https://docs.dintero.com/api-reference/v2-config-payout-destinations/get-seller-transfers.md): Get list of transfers for a seller - [Initiate fund transfer](https://docs.dintero.com/api-reference/v2-fund-transfers/initiate-fund-transfer.md): You can use the endpoint to programmatically initiate a fund transfer between two sellers - [Authentication Service](https://docs.dintero.com/docs/auth-service.md) - [Using Orders and Checkout together](https://docs.dintero.com/docs/checkout-orders.md) - [Handling payment](https://docs.dintero.com/docs/checkout/after-payment.md) - [Hosted Checkout](https://docs.dintero.com/docs/checkout/apple-pay/apple-pay-hosted-checkout.md) - [Native app](https://docs.dintero.com/docs/checkout/apple-pay/apple-pay-native-app.md) - [Apple Pay™](https://docs.dintero.com/docs/checkout/apple-pay/apple-pay-overview.md) - [API Client](https://docs.dintero.com/docs/checkout/checkout-client.md) - [Discount code](https://docs.dintero.com/docs/checkout/checkout-express-discount-code.md) - [Test data](https://docs.dintero.com/docs/checkout/checkout-testdata.md) - [Custom Checkout Theme](https://docs.dintero.com/docs/checkout/checkout-themes.md) - [Checkout Webhook](https://docs.dintero.com/docs/checkout/checkout-webhooks.md) - [Hosted Checkout](https://docs.dintero.com/docs/checkout/click-to-pay/hosted-checkout.md) - [Click to Pay](https://docs.dintero.com/docs/checkout/click-to-pay/overview.md) - [Creating session](https://docs.dintero.com/docs/checkout/create-session.md) - [External payment](https://docs.dintero.com/docs/checkout/dintero-external.md) - [Dintero HTTP headers](https://docs.dintero.com/docs/checkout/dintero-http-headers.md) - [Adding discount metadata to sessions](https://docs.dintero.com/docs/checkout/discount-metadata.md) - [Show the checkout to the customer](https://docs.dintero.com/docs/checkout/display-checkout.md) - [Embedded VS Redirect](https://docs.dintero.com/docs/checkout/embedVredirect.md) - [Checkout Express](https://docs.dintero.com/docs/checkout/express.md) - [Paying with Dintero Gift Cards in Checkout](https://docs.dintero.com/docs/checkout/gift-cards.md) - [Hosted Checkout](https://docs.dintero.com/docs/checkout/google-pay/google-pay-hosted-checkout.md) - [Native app](https://docs.dintero.com/docs/checkout/google-pay/google-pay-native-app.md) - [Google Pay™](https://docs.dintero.com/docs/checkout/google-pay/google-pay-overview.md) - [Klarna EMD](https://docs.dintero.com/docs/checkout/klarna-emd.md) - [Customer Checkout with Kravia](https://docs.dintero.com/docs/checkout/kravia/checkout.md) - [Grouped Invoices (B2B)](https://docs.dintero.com/docs/checkout/kravia/grouped-invoices.md) - [Invoice Delivery](https://docs.dintero.com/docs/checkout/kravia/invoice-delivery.md) - [Merchant Initiated Payments](https://docs.dintero.com/docs/checkout/kravia/merchant-initiated-payments.md) - [Kravia Invoicing Overview](https://docs.dintero.com/docs/checkout/kravia/overview.md) - [PCI DSS compliance for merchants](https://docs.dintero.com/docs/checkout/merchant-pci-dss-compliance.md) - [Pay in store](https://docs.dintero.com/docs/checkout/pay-in-store.md) - [Payment In App](https://docs.dintero.com/docs/checkout/payment-in-app.md) - [Payment link by SMS or push](https://docs.dintero.com/docs/checkout/payment-link-by-sms.md) - [Payment profiles](https://docs.dintero.com/docs/checkout/payment-profiles.md) - [Dintero reports](https://docs.dintero.com/docs/checkout/payout-reports-dintero-reports.md) - [Settlement reports](https://docs.dintero.com/docs/checkout/payout-reports-introduction.md) - [Pop-out](https://docs.dintero.com/docs/checkout/pop-out.md) - [Postman guide](https://docs.dintero.com/docs/checkout/postman-checkout-guide.md) - [Quickstart](https://docs.dintero.com/docs/checkout/quickstart.md): Go from zero to your first Dintero Checkout payment in minutes. Create credentials, authenticate, build a checkout session, and handle the payment result. - [Checkout Web SDK](https://docs.dintero.com/docs/checkout/sdk/checkout-web-sdk.md) - [Discount SDK](https://docs.dintero.com/docs/checkout/sdk/discount-sdk.md) - [Node SDK](https://docs.dintero.com/docs/checkout/sdk/node-sdk.md) - [Python SDK](https://docs.dintero.com/docs/checkout/sdk/python-sdk.md) - [Shipping address callback](https://docs.dintero.com/docs/checkout/shipping-address-callback.md) - [Shipping options](https://docs.dintero.com/docs/checkout/shipping-options.md) - [Multiple shipments](https://docs.dintero.com/docs/checkout/shipping-options-multiple-shipments.md) - [Limiting Checkout to a Single Payment Type](https://docs.dintero.com/docs/checkout/show-payment-type.md) - [Activating Payout](https://docs.dintero.com/docs/checkout/split-payment/activate-payout.md) - [Add Sellers](https://docs.dintero.com/docs/checkout/split-payment/add-payout-destinations.md) - [Creating session with splits](https://docs.dintero.com/docs/checkout/split-payment/creating-split-session.md) - [Transfer funds between sellers](https://docs.dintero.com/docs/checkout/split-payment/fund-transfer.md) - [Split Payout](https://docs.dintero.com/docs/checkout/split-payment/split-overview.md) - [Reports for split payout](https://docs.dintero.com/docs/checkout/split-payment/split-reports.md) - [Testing split payouts](https://docs.dintero.com/docs/checkout/split-payment/testing-split-payments.md) - [Subscription example](https://docs.dintero.com/docs/checkout/subscription-example.md) - [Tokenization](https://docs.dintero.com/docs/checkout/tokenization.md) - [Create token](https://docs.dintero.com/docs/checkout/tokenization-create-token.md) - [Error handling](https://docs.dintero.com/docs/checkout/tokenization-error-handling.md) - [Fetching and storing token](https://docs.dintero.com/docs/checkout/tokenization-fetching-storing.md) - [Use token](https://docs.dintero.com/docs/checkout/tokenization-use-token.md) - [Transaction management](https://docs.dintero.com/docs/checkout/transaction-management.md) - [Transaction state diagram](https://docs.dintero.com/docs/checkout/transaction-state-diagram.md) - [Two](https://docs.dintero.com/docs/checkout/two.md) - [Updating session](https://docs.dintero.com/docs/checkout/updating-session.md) - [Validating callbacks](https://docs.dintero.com/docs/checkout/validating-callbacks.md) - [Vipps](https://docs.dintero.com/docs/checkout/vipps.md) - [Walley B2B](https://docs.dintero.com/docs/checkout/walley-b2b.md) - [Clients/Application accessing your data](https://docs.dintero.com/docs/clients.md) - [Customer Service](https://docs.dintero.com/docs/customer-service.md) - [Discount & Reward Service](https://docs.dintero.com/docs/discount-service.md) - [Errors](https://docs.dintero.com/docs/errors.md) - [Get Started with the Dintero API](https://docs.dintero.com/docs/getting-started.md) - [Introduction](https://docs.dintero.com/docs/index.md): Dintero developer documentation. Here you'll find API references, integration guides, and code examples for building on the Dintero platform. - [API Key & Payment profile](https://docs.dintero.com/docs/integrations/checkout-prereq.md) - [Plugins & integrations](https://docs.dintero.com/docs/integrations/plugins.md) - [ExtendaRetail Silent Touch](https://docs.dintero.com/docs/integrations/silent-touch.md) - [ExtendaGO](https://docs.dintero.com/docs/integrations/wallmob.md) - [Update order (reversing)](https://docs.dintero.com/docs/order-update-refund.md) - [Inviting merchants](https://docs.dintero.com/docs/partners/inviting-merchants.md) - [Merchant account list](https://docs.dintero.com/docs/partners/list-merchants.md) - [Managing a merchant account](https://docs.dintero.com/docs/partners/manage-merchants-via-api.md) - [Introduction](https://docs.dintero.com/docs/partners/partners.md) - [Merchant account API access](https://docs.dintero.com/docs/partners/partners-merchant-api-access.md) - [Receipt Service](https://docs.dintero.com/docs/receipt-service.md) - [Responsible disclosure policy](https://docs.dintero.com/docs/security/responsible-disclosure-policy.md) - [Batch Create Gift Card](https://docs.dintero.com/docs/wallet-batch-create-gift-card.md) - [Create Gift Card](https://docs.dintero.com/docs/wallet-create-gift-card.md) - [Paying with Gift Card](https://docs.dintero.com/docs/wallet-pay-with-gift-card.md) - [Webhooks](https://docs.dintero.com/docs/webhooks.md) ## OpenAPI Specs - [spec-payments](https://docs.dintero.com/mintlify-docs/openapi/spec-payments.yaml) - [spec-checkout](https://docs.dintero.com/mintlify-docs/openapi/spec-checkout.yaml) - [spec-management-auth](https://docs.dintero.com/mintlify-docs/openapi/spec-management-auth.yaml) - [spec-core](https://docs.dintero.com/mintlify-docs/openapi/spec-core.yaml) - [spec-ledger](https://docs.dintero.com/mintlify-docs/openapi/spec-ledger.yaml) - [spec-webhooks](https://docs.dintero.com/mintlify-docs/openapi/spec-webhooks.yaml) - [spec-wallets](https://docs.dintero.com/mintlify-docs/openapi/spec-wallets.yaml) - [spec-terminals](https://docs.dintero.com/mintlify-docs/openapi/spec-terminals.yaml) - [spec-reports](https://docs.dintero.com/mintlify-docs/openapi/spec-reports.yaml) - [spec-recommendations](https://docs.dintero.com/mintlify-docs/openapi/spec-recommendations.yaml) - [spec-receipts](https://docs.dintero.com/mintlify-docs/openapi/spec-receipts.yaml) - [spec-psp-wallet](https://docs.dintero.com/mintlify-docs/openapi/spec-psp-wallet.yaml) - [spec-products](https://docs.dintero.com/mintlify-docs/openapi/spec-products.yaml) - [spec-payout](https://docs.dintero.com/mintlify-docs/openapi/spec-payout.yaml) - [spec-orders](https://docs.dintero.com/mintlify-docs/openapi/spec-orders.yaml) - [spec-notifications](https://docs.dintero.com/mintlify-docs/openapi/spec-notifications.yaml) - [spec-insight](https://docs.dintero.com/mintlify-docs/openapi/spec-insight.yaml) - [spec-fraud](https://docs.dintero.com/mintlify-docs/openapi/spec-fraud.yaml) - [spec-extension](https://docs.dintero.com/mintlify-docs/openapi/spec-extension.yaml) - [spec-discounts](https://docs.dintero.com/mintlify-docs/openapi/spec-discounts.yaml) - [spec-customers](https://docs.dintero.com/mintlify-docs/openapi/spec-customers.yaml) - [spec-billing](https://docs.dintero.com/mintlify-docs/openapi/spec-billing.yaml) - [spec-audit](https://docs.dintero.com/mintlify-docs/openapi/spec-audit.yaml) - [spec-assets](https://docs.dintero.com/mintlify-docs/openapi/spec-assets.yaml) - [spec-apps-directory](https://docs.dintero.com/mintlify-docs/openapi/spec-apps-directory.yaml) - [payments-api](https://docs.dintero.com/openapi/payments-api.yaml) - [webhooks-api](https://docs.dintero.com/openapi/webhooks-api.yaml) - [wallets-api](https://docs.dintero.com/openapi/wallets-api.yaml) - [receipts-api](https://docs.dintero.com/openapi/receipts-api.yaml) - [products-api](https://docs.dintero.com/openapi/products-api.yaml) - [orders-api](https://docs.dintero.com/openapi/orders-api.yaml) - [management-auth-api](https://docs.dintero.com/openapi/management-auth-api.yaml) - [insight-api](https://docs.dintero.com/openapi/insight-api.yaml) - [discounts-api](https://docs.dintero.com/openapi/discounts-api.yaml) - [customers-api](https://docs.dintero.com/openapi/customers-api.yaml) - [checkout-api](https://docs.dintero.com/openapi/checkout-api.yaml) - [openapi](https://docs.dintero.com/api-reference/openapi.json) ## Optional - [Demo Store](https://checkout.demo.dintero.com/)